| S132 SoftDevice v3.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_common_opt_conn_bw_t Struct Reference
Structures

BLE connection specific bandwidth configuration parameters. More...

`#include <ble.h>`

## Data Fields
uint8_t | role
ble_conn_bw_t | conn_bw

## Detailed Description

BLE connection specific bandwidth configuration parameters.

This can be used with sd_ble_opt_set to set the bandwidth configuration to be used when creating connections.

Call sd_ble_opt_set with this option prior to calling sd_ble_gap_adv_start or sd_ble_gap_connect.

The bandwidth configurations set via sd_ble_opt_set are maintained separately for central and peripheral connections. The given configurations are used for all future connections of the role indicated in this structure unless they are changed by subsequent sd_ble_opt_set calls.

Note
  When this option is not used, the SoftDevice will use the default options:
  - BLE_CONN_BW_HIGH for BLE_GAP_ROLE_PERIPH connections (both transmission and reception).
  - BLE_CONN_BW_MID for BLE_GAP_ROLE_CENTRAL connections (both transmisison and reception). This option allows the application to selectively override these defaults for each role.
  The global memory pool configuration can be set with the ble_conn_bw_counts_t configuration parameter, which is provided to sd_ble_enable.
  sd_ble_opt_get is not supported for this option.
  Please refer to SoftDevice Specification for more information on bandwidth configuration.

Relevant Message Sequence Charts

  Connection Bandwidth Configuration

Return values

  NRF_SUCCESS | Set successfully.
  BLE_ERROR_INVALID_ROLE | The role is invalid.
  NRF_ERROR_INVALID_PARAM | Invalid bandwidth configuration parameters.
  NRF_ERROR_NOT_SUPPORTED | If the combination of role and bandwidth configuration is not supported.

## Field Documentation

ble_conn_bw_t ble_common_opt_conn_bw_t::conn_bw

Bandwidth configuration parameters.

uint8_t ble_common_opt_conn_bw_t::role

BLE role of the connection, see GAP Roles.